Subject: [manet] Fwd: problem with scheduler

From: Marco <[email-masked]>
Date: Tue, 22 Feb 2005 14:06:58 +0100

----------  Messaggio inoltrato  ----------

Subject: problem with scheduler
Date: 09:59, martedì 22 febbraio 2005
From: Marco <[email-masked]>
To: [email-masked]

Hy guys,
	I want to modify battery consumption of a tx node in C++.
	I have implemented the commands:

	Tcl& tcl = Tcl::instance();
	tcl.evalf("$ns_ at %f \"$node_(%d) setPt %f\"",NOW,i,pt);

	where i is txnode and pt is the power.

	When I run the simulation, I obtain this error:

ns: $ns_ at 69.235425 "$node_(4) setPt 0.281800": can't schedule command in
past
    (_o5 cmd line 1)
    invoked from within
"_o5 cmd at 69.235425 {_o90 setPt 0.281800}"
    invoked from within
"catch "$self cmd $args" ret"
    invoked from within
"if [catch "$self cmd $args" ret] {
set cls [$self info class]
global errorInfo
set savedInfo $errorInfo
error "error when calling class $cls: $args" $..."
    (procedure "_o5" line 2)
    (SplitObject unknown line 2)
    invoked from within
"_o5 at 69.235425 {_o90 setPt 0.281800}"
    ("eval" body line 1)
    invoked from within
"eval $scheduler_ at $args"
    (procedure "_o3" line 3)
    (Simulator at line 3)
    invoked from within
"$ns_ at 69.235425 "$node_(4) setPt 0.281800""

I don't understand what it means...

				Thanks, Marco

-------------------------------------------------------

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet